PHP Manual
Prev |  | Next

# virtual_access

virtual_access -- Check users permissions for a file

## Description

#include <tsrm_virtual_cwd.h>

int virtual_access ( const char* pathname, int mode, magic TSRMLS_DC )

virtual_access() thread safe wrapper around the access() function that takes per-thread virtual working directories into account.

See also VCWD_ACCESS().

## Parameters

pathname

  File to check permissions for

mode

  Mode mask

TSRMLS_DC

  Thread context

## Return Values

Returns 0 on success and -1 on errors.

Prev | Home | Next
tsrm_thread_id | Up | virtual_chdir_file